AC(8)

NAME
ac - display connect-time accounting

SYNOPSIS
ac [-d] [-p] [-w file] [users ...]

DESCRIPTION
A record of individual login and logout times are written to the system log by login(8) and launchd(8), respectively. The program ac examines these records and writes the accumulated connect time (in decimal hours) for all logins to the standard output.

Options available:

-d  Display the connect times in 24 hour chunks.

-p  Display individual user totals.

-w file
    Read raw connect time data from file, instead of the system log.

users ...
    Display totals for the given individuals only.

If no arguments are given, ac displays the total amount of login time for all active accounts on the system.

SEE ALSO
login(1), utmpx(5), launchd(8), sa(8)

HISTORY
An ac command appeared in Version 6 AT&T UNIX.